##### 7.7.7.0. iv2lpList

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  iv2lpList(L); L a list of intmats

Return:
  ideal

Purpose:
  Converting a list of intmats into an ideal of corresponding monomials
  The rows of the intmat corresponds to an intvec, which stores the
  monomial.
  For the encoding of the variables see the overview.

Assume:
  - The rows of each intmat in L must correspond to a Letterplace monomial
  - basering has to be a Letterplace ring

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y,z),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    intmat u[3][1] = 1,1,2; intmat v[1][3] = 2,1,3; intmat w[2][3] = 3,1,1,2,3,1;
    // defines intmats of different size containing intvec representations of
    // monomials as rows
    list L = u,v,w;
    print(u); print(v); print(w); // shows the intmats contained in L
    ==>      1
    ==>      1
    ==>      2
    ==>      2     1     3
    ==>      3     1     1
    ==>      2     3     1
    iv2lpList(L); // returns the corresponding monomials as an ideal
    ==> _[1]=x(1)
    ==> _[2]=y(1)
    ==> _[3]=y(1)*x(2)*z(3)
    ==> _[4]=z(1)*x(2)*x(3)
    ==> _[5]=y(1)*z(2)*x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.